cURL
curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/time-bookingsimport requests
url = "https://your-environment.cloud.veda.net/api/v1/time-bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/time-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/time-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/time-bookings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/time-bookings")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/time-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"days": [
{
"date": "2023-12-25",
"targetTime": 123,
"bookedTime": 123,
"chargeableTime": 123,
"bookings": [
{
"time": "2023-11-07T05:31:56",
"key": "<string>"
}
]
}
]
}
]Time
Time Bookings
GET
/
api
/
v1
/
time-bookings
cURL
curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/time-bookingsimport requests
url = "https://your-environment.cloud.veda.net/api/v1/time-bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/time-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/time-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/time-bookings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/time-bookings")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/time-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"days": [
{
"date": "2023-12-25",
"targetTime": 123,
"bookedTime": 123,
"chargeableTime": 123,
"bookings": [
{
"time": "2023-11-07T05:31:56",
"key": "<string>"
}
]
}
]
}
]This endpoint only works if your environment has been updated to BDERest version 63.11.20 or higher. If you are unsure of your BDERest version, you can check it in the Platform under Administration > Time & Security > Status.
Query Parameters
Example:
"2025-01-01"
Example:
"2025-01-31"
Only time bookings that have changed since this date.
Response
200 - application/json
OK
Time Bookings grouped by day (Formerly timeAccountDays)
Time bookings have their own unit, but the daily totals are always in hours and minutes. The decimal part corresponds to minutes. For example, 90 minutes is displayed as 1.30.
Show child attributes
Show child attributes
Was this page helpful?